Module | Bio::Alignment::ArrayExtension
In: | lib/bio/alignment.rb

Bio::Alignment::ArrayExtension is a set of useful methods for multiple sequence alignment. It is designed to be extended to array objects or included in your own classes which inherit Array. (It can also be included in Array, though not recommended.)

It possesses all methods defined in EnumerableExtension. For usage of methods, please refer to EnumerableExtension.

### Methods

each_seq number_of_sequences

### Included Modules

EnumerableExtension

### Public Instance methods

each_seq() {|seq| ...}

Iterates over each sequences. Yields a sequence.

It works the same as Array#each.

[Source]

          # File lib/bio/alignment.rb, line 1344
    1344:       def each_seq(&block) #:yields: seq
    1345:         each(&block)
    1346:       end

number_of_sequences()

Returns number of sequences in this alignment.

[Source]

          # File lib/bio/alignment.rb, line 1349
    1349:       def number_of_sequences
    1350:         self.size
    1351:       end

[Validate]